package com.tofly.base.em;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springframework.util.StringUtils;

/**
 * @ClassName: ExcelExportFileTypeEnum
 * @Description: 导入文件枚举
 * @Author Zev
 * @Date 2021/3/25
 * @Version 1.0.0
 */
@Getter
@AllArgsConstructor
public enum ExcelImportFileTypeEnum {

    IMPORT_GOVERN_POINT_INFO_XML("/userService.xml", "userService", "批量账号创建"),
    ;
    /**
     * 导入映射文件XML
     */
    private String mappingXml;

    /**
     * 模板服务类型
     */
    private String templateServiceType;

    /**
     * 说明
     */
    private String msg;

    /**
     * 根据模型类型和是否为示例模板获取对应枚举对象
     *
     * @param templateServiceType 模型类型
     * @return 枚举对象
     */
    public static ExcelImportFileTypeEnum getExcelImportFileTypeEnum(String templateServiceType) {
        if (StringUtils.isEmpty(templateServiceType)) {
            return null;
        }

        for (ExcelImportFileTypeEnum e : ExcelImportFileTypeEnum.values()) {
            if (e.templateServiceType.equalsIgnoreCase(templateServiceType)) {
                return e;
            }
        }
        return null;
    }
}
